// genesis

// This script works only in conjunction with the elements created
// in the gum02_jaeger simulation.
// a timetable provides input to an ampa synapse with short term plasticity

// make the master synapse

function addfacsyn (name, tauf, taud, fac, dep, isi)

str name
float tauf, taud, fac, dep

create facsynchan /cell/{name}
setfield ^ \
	Ek 0 \
	tau1 0.5e-3 \
	tau2 2e-3 \
	gmax 1e-8 \
	fac_tau {tauf} \
	depr_tau {taud} \
	fac_per_spike {fac} \
	depr_per_spike {dep} \
	fac_depr_on 1

// set up the connection between synapse and soma
addmsg /cell/soma /cell/{name} VOLTAGE Vm
addmsg /cell/{name} /cell/soma CHANNEL Gk Ek

// now add input to synapse
if (!{exists /input})
create neutral /input
end

create spikegen /input/{name}spike
setfield ^ thresh 0.5 abs_refract 0.002 output_amp 1

// Note that the following message is funny, i.e. no field is being passed
// Only special objects (spikegen, randomspike) know how to pass SPIKE messages
// This message creates a synapse[0] subelement in our /cell/synapse element.
addmsg /input/{name}spike /cell/{name} SPIKE

// Create a series of spike times with regular isi's
create timetable /input/{name}tt1
setfield ^ maxtime 10 method 3 meth_desc1 {isi} act_val 1.0
randseed 123456
call /input/{name}tt1 TABFILL
addmsg /input/{name}tt1 /input/{name}spike INPUT activation

end
