// genesis

// This script works only in conjunction with the elements created
// in the passive simulation.

create spikegen /cell/spike
setfield ^ thresh -0.06 abs_refract 0.02 output_amp 1

// set up the input to the spike generator 
addmsg /cell/soma /cell/spike INPUT Vm

// make the master synapse
create synchan /cell/synapse
setfield ^ \
	Ek 0 \
	tau1 0.5e-3 \
	tau2 2e-3 \
	frequency 0 \
	gmax 5e-8


// set up the connection between synapse and soma
addmsg /cell/soma /cell/synapse VOLTAGE Vm
addmsg /cell/synapse /cell/soma CHANNEL Gk Ek

// Note that the following message is funny, i.e. no field is being passed
// Only special objects (spikegen, randomspike) know how to pass SPIKE messages
// This message creates a synapse[0] subelement in our /cell/synapse element.
addmsg /cell/spike /cell/synapse SPIKE

// Our autapse has a long local axon before getting back to the soma ...
setfield /cell/synapse synapse[0].delay 0.05

// now we are ready to roll

