//genesis graphs.g

/* 
	functions defined in this script
=============================================================================
	FUNCTION NAME		ARGUMENTS
=============================================================================
 	makegraph		(path)
=============================================================================
*/


// ==========================================================================
//                 create form and graphs for display of voltages
// ==========================================================================
function makegraph(path, flag)

    // path gives the location of the cell
    // graphicspath gives the location of the control form for the cell
      str path
      str graphicspath = (path) @ "/graphics"
      str togglepath = "/output/graphics" @ (path)

    // add a toggle for this cell in the main cell control panel
    // maketoggle {path} {togglepath} {graphicspath}

    // =================================================
    //               create graphics form
    // =================================================
    create xform {graphicspath} [5,180,600,400] -title {graphicspath}

    // =================================================
    //      make graph for cell intracellular potential
    // =================================================
    pushe {graphicspath}
    create xgraph graph [2%,20,96%,92%] -title  \
        "   Vm and injection currents"
    addmsg {path}/soma graph PLOT Vm *potential_V *black
// The following message assumes that no channel or synaptic currents are present
// Otherwise my calculation of I_cap in cell.g is not right.
// addmsg {path}/soma graph PLOTSCALE Ic *I_cap_nA/10 *blue -1e8 0e-3
    addmsg {path}/soma/injectpulse/injcurr graph PLOTSCALE output  \
        *inject_current_nA/10 *red 1e8 0
    setfield graph xmin 0 xmax 0.5 ymin -90e-3 ymax 150e-3 xoffset 0
    useclock graph 0
    makegraphscale {graphicspath}/graph
	xshow {graphicspath}
    pope
end
