// genesis

// This script works only in conjunction with the elements created
// in the passive simulation.
// timetablesprovide input to ampa and gaba synapse

// make the master excitatory synapse
create synchan /cell/ampa
setfield ^ \
	Ek 0 \
	tau1 0.5e-3 \
	tau2 2e-3 \
	frequency 0 \
	gmax 1e-9

// set up the connection between synapse and soma
addmsg /cell/soma /cell/ampa VOLTAGE Vm
addmsg /cell/ampa /cell/soma CHANNEL Gk Ek


// make the master inhibitory synapse
create synchan /cell/gaba
setfield ^ \
	Ek -0.07 \
	tau1 2e-3 \
	tau2 15e-3 \
	frequency 0 \
	gmax 2.0e-9

// set up the connection between synapse and soma
addmsg /cell/soma /cell/gaba VOLTAGE Vm
addmsg /cell/gaba /cell/soma CHANNEL Gk Ek

// now add input to ex synapse
int i
randseed 123456

if(!{exists /input})
create neutral /input
end

pushe /input
for(i=1; i<=100; i=i+1)
// Create  series of spike times (lots)
create timetable ttex{i}
setfield ttex{i} maxtime 2 method 2 meth_desc1 0.02 meth_desc2 0.003 meth_desc3 2 act_val 1.0
// setfield ttex{i} maxtime 2 method 3 meth_desc1 0.002 act_val 1.0
// setfield ttex{i} maxtime 2 method 4 filname inspikes.asc 0.002 act_val 1.0
call ttex{i} TABFILL
create spikegen spike_ex{i}
setfield ^ thresh 0.5 abs_refract 0 output_amp 1
addmsg spike_ex{i} /cell/ampa SPIKE
addmsg ttex{i} spike_ex{i} INPUT activation

// now inhibition
create timetable ttin{i}
setfield ttin{i} maxtime 2 method 2 meth_desc1 0.1 meth_desc2 0.005 meth_desc3 2 act_val 1.0
call ttin{i} TABFILL
create spikegen spike_in{i}
setfield ^ thresh 0.5 abs_refract 0 output_amp 1
addmsg spike_in{i} /cell/gaba SPIKE
addmsg ttin{i} spike_in{i} INPUT activation

end

pope
