// genesis  
// GUM02_JAEGER  master script

echo " "
echo "          *************************************************"
echo "          *                                               *"
echo "          *     A one compartment demonstration of        *"
echo "          *           synaptic integration with		*"
echo "          *              time table elements              *"
echo "          *                                               *"
echo "          *            Hacked by Dieter Jaeger            *"
echo "          *                     10/2002                   *"
echo "          *                                               *"
echo "          *     Graphical Interface robbed from           *"
echo "          *         Sharon Crook's CPG tutorial           *"
echo "          *                                               *"
echo "          *************************************************"
echo " "
echo " "
echo " "
// set the prompt
setprompt "ttsynsim >"
// simulation time step in msec
setclock 0 2e-5
// output interval
setclock 1 1.0e-4
floatformat %.3g // do reasonable rounding for display

//========================================================================
//                            startup scripts
//========================================================================

include setcolors.g
include xtools.g 
include toggles.g 
include graphs.g
include cell.g 
include help.g 
include settings.g 
include cinject.g 
include vclamp.g
include viewform.g 
include defaults.g 
include initialize.g 
include edschan.g
include addspikechan.g
include tt_tofile.g
include spike_tofile.g
include syn_timed.g
include nmda_timed.g

//=======================================================================
//                      start graphics
//=======================================================================
makesystem
loadgraphics
loadhelp
makegraph /cell
makesettings /cell
makeinputs /cell 0.01
makeviewform
make_eds_chans


//======================================================================
//                   check and initialize the simulation
//======================================================================
colorize  // change default colors of all widgets.
// check
reset
echo Simulation loaded.
