// genesis

// This script works only in conjunction with the elements created
// in the GUM02_JAEGER simulation.
// a timetable provides input to an NMDA synapse
// by D. Jaeger 2002

function addnmdahebb (name, isi)

str name

// make the master synapse
create hebbsynchan /cell/{name}
setfield ^ \
	Ek 0 \
	tau1 2e-3 \
	tau2 15e-3 \
	frequency 0 \
	gmax 1e-7


// add Magnesium block a.k.a. voltage dependence
create Mg_block /cell/{name}/Mg
setfield ^ CMg 1.0 KMg_A 5.0 KMg_B 0.01

addmsg /cell/{name} /cell/{name}/Mg CHANNEL Gk Ek
addmsg /cell/{name}/Mg /cell/soma CHANNEL Gk Ek
addmsg /cell/soma /cell/{name}/Mg VOLTAGE Vm
addmsg /cell/soma /cell/{name} VOLTAGE Vm

// now add input to synapse
if (!{exists /input})
create neutral /input
end

create spikegen /input/spike{name}
setfield ^ thresh 0.5 abs_refract 0.02 output_amp 1

// Note that the following message is funny, i.e. no field is being passed
// Only special objects (spikegen, randomspike) know how to pass SPIKE messages
// This message creates a synapse[0] subelement in our /cell/synapse element.
addmsg /input/spike{name} /cell/{name} SPIKE

// Create a series of spike times with regular isi of {isi} s
create timetable /input/{name}tt1
randseed 123456
setfield ^ maxtime 10 method 3 meth_desc1 {isi} act_val 1.0 
call /input/{name}tt1 TABFILL
addmsg /input/{name}tt1 /input/spike{name} INPUT activation

// Add a burst to the spike times, isi of isi/10 s
call /input/{name}tt1 TUPDATE 2 0.5 0.6 {{isi}/10}

// Add a burst of irregular spaced spike times of isi/10 s
setfield /input/{name}tt1 method 1
call /input/{name}tt1 TUPDATE 2 1.0 1.1 {{isi}/10}

end
