// genesis

// This script works only in conjunction with the elements created
// in the GUM02_JAEGER simulation, but is easily generalized.
// a random current injection operation is created

// This script creates a noisy current injection that is gated by 
// the current pulse stimulation already set up in the simulation

function nextrand

	float injecti
	injecti = {getfield /cell/soma/injectpulse/injcurr gain}
	injecti = {injecti * 0.9} + {rand -0.2e-9 0.3e-9}
	setfield /cell/soma/injectpulse/injcurr gain {injecti}
end

if(!{exists /input})
	create neutral /input
end

pushe /input
create script_out dorand
setfield dorand command nextrand
useclock dorand 1
randseed 123456

pope
