// D. Jaeger 10/31/02
// this one saves the results in asci files
// adds synapses to simulation, steps through gmaxes


create asc_file /fileout
setfield /fileout flush 0 leave_open 1 append 1
useclock /fileout 1
 
// add the spike currents and synaptic input of choice
addspikecurrent
include lotsexandin

// add the trace output of choise
addmsg /cell/soma  /fileout SAVE Vm  // column 2
addmsg /cell/ampa  /fileout SAVE Gk // column 3
addmsg /cell/ampa  /fileout SAVE Ik // column 4
addmsg /cell/gaba /fileout SAVE Gk // column 5
addmsg /cell/gaba  /fileout SAVE Ik // column 6

int i
float gmax_ampa = 2.0e-10
float gmax_gaba = 4.0e-10

// step through the parameter of choice, note changing file names
for(i=1; i<=6; i=i+1)
	setfield /cell/ampa gmax {gmax_ampa}
	setfield /cell/gaba gmax {gmax_gaba}
	echo gmax of ampa synapse to {gmax_ampa}
	echo gmax of gaba synapse to {gmax_gaba}
	setfield /fileout filename parsetnoi{i}.txt
	call /fileout OUT_OPEN
	reset
	step 0.5 -t
	gmax_ampa = gmax_ampa * 2
	gmax_gaba = gmax_gaba * 2
	call /fileout FLUSH
	call /fileout DELETE
end

