// genesis

function makevclamp

    // Electronics for voltage clamp 

	create pulsegen /vcommand
	setfield ^ baselevel -0.07 level1 -0.07 width1 2 delay1 0.01 delay2 999 \
		trig_mode 0.0 trig_time 0.0

    //  time constant of 0.5 msec

    create diffamp /Vclamp
    setfield ^ saturation 999.0 gain 1

    create PID /PID
    setfield ^ gain 5e-7 tau_i 5e-4 tau_d -1.0e-6 saturation 1e-7

    // hook up voltage clamp circuitry

    addmsg /vcommand /Vclamp PLUS output
    addmsg /Vclamp /PID CMD output
    addmsg /cell/soma /PID SNS Vm
    addmsg /PID /cell/soma INJECT output
    addmsg /PID /cell/graphics/graph PLOTSCALE output *vclamp_current_nA/10 *blue 1e8 0e-3
    addmsg /Vclamp /cell/graphics/graph PLOTSCALE output *vclamp_command *green 1.0 0e-3

end
