//genesis viewform.g

/*
             functions defined in this script
=============================================================================
      FUNCTION                  ARGUMENTS
============================================================================
    showem                   (path)
    connection_doodle        (name,x_coord1,y_coord1,x_coord2,y_coord2,synapse)
    soma_doodle              (path,x_coord,y_coord)
    connupdate
    createconn               (excconn,inhconn,widget)
    makeviewform
============================================================================
*/

// =========================================================================
//        show the information associated with the cell clicked on
// =========================================================================
function showem(value)
     str graphicspath, settingspath, inputspath
     str connectionspath
     str value, temp

     if (({substring {value} 4 7}) == "soma")
         temp = {substring {value} 1 2}
         graphicspath = "/" @ (temp) @ "/graphics"
         settingspath = "/" @ (temp) @ "/settings"
         inputspath = "/" @ (temp) @ "/inputs"

         setfield {graphicspath}/done state 1
         setfield /output/graphics/{temp} state 1
         xshow {graphicspath}

         setfield {settingspath}/done state 1
         setfield /output/settings/{temp} state 1
         xshow {settingspath}

         setfield {inputspath}/done state 1
         setfield /output/inputs/{temp} state 1
         xshow {inputspath}
 
     end
  end


 // =========================================================================
 //                   create cell symbol in the viewform
 // =========================================================================
function soma_doodle(path, x_coord, y_coord)
     str path
     float x_coord, y_coord
     float radius, dtheta, x, y
     int i
     create xvar /viewform/draw/{path}  \
         -value_min -90e-3 -value_max 70e-3   \
         -varmode shape -color_val 1 -morph_val 0 -script "showem.d1 <v>"

     pushe /viewform/draw/{path}

     setfield . tx {getfield /{path}/soma x}  ty {getfield /{path}/soma y}
     addmsg /{path}/soma .  VAL1 Vm

     // create circle for icon
     dtheta = 3.14159/10
     radius = 1.0
     for(i=0;i<=20;i=i+1)
         x = radius*{cos {i*dtheta}}
         y = radius*{sin {i*dtheta}}
         setfield shape[0] xpts->table[{i}] {x}
         setfield shape[0] ypts->table[{i}] {y}
         setfield shape[1] xpts->table[{i}] {x}
         setfield shape[1] ypts->table[{i}] {y}
     end
     setfield shape[0] npts 20
     setfield shape[1] npts 20
     pope

//     echo {getfield /viewform/draw/{path} path}
     useclock /viewform/draw/{path} 0
     create xshape /viewform/draw/{path}_toggle -text {path} -tx  \
         {x_coord} -ty {y_coord}  -textfont 9x15bold
     end


// ==========================================================================
//      create viewform, put in graphics, and show buttons
// ==========================================================================
function makeviewform
     //use fast clock for updates
     setclock 2 1e-3
     create xform /viewform [610,180,200,200] -nolabel
     create xdraw /viewform/draw [2%,2%,96%,88%] -wx 4.5 -wy 4.5 \
	-cx 0 -cy 0 -bg white 
     create xlabel /viewform/label  [2%,90%,96%,10%] -title  \
         "cell"
     useclock /viewform/draw 0

     soma_doodle cell 0	0
     xshow /viewform
end
